<style src="./Style.scss" lang="scss" scoped></style>
<script src="./Script.js"></script>

<template>
  <div class="m-portlet m-portlet--mobile" v-cloak>
    <div
      v-if="!isDataReady"
      class="m-loader m-loader--brand m-loader--lg"
      style="width: 30px; height: 30px; display: inline-block;"
    ></div>
    <div v-else class="m-portlet__body">
      <div class="s--customer-header text-right m--margin-bottom-20 float-right">
        <router-link
          :class="{'nt-button-disabled': detailCustomer.deleted_at}"
          v-if="accessible( userCheckAddOn, 'deal', PERMISSION_ADD_DEAL, userCurrentPermissions)"
          class="nt-button nt-button-secondary nt-button-small float-right"
          style="margin-right:0px"
          :to="{name : 'DealAddNew' , params : {team_id : currentTeam.team_id, customer_id : customerId} }"
        >
          <i class="icon icon-plus"></i> Thêm giao dịch
        </router-link>
        <a
          v-else
          class="nt-button nt-button-secondary nt-button-small float-right nt-button-not-permisson"
          style="margin-right:0px"
          href="javascript:;"
          data-toggle="m-tooltip"
          :data-original-title="titleNotPermisson"
          data-html="true"
        >
          <i class="icon icon-plus"></i> Thêm giao dịch
        </a>
        <!--  <button class="btn btn-outline-primary btn-sm m-btn--custom" data-toggle="modal"
                        data-target="#AddNewCustomerDeal"><i class="la la-plus"></i> Thêm giao dịch
        </button>-->
      </div>

      <div class="dataTables_wrapper">
        <div class="table-responsive nt-scroll-primary">
          <table
            class="table table-bordered table-hover s--table s--table-deal-list nt-table-list nt-table-list-all"
          >
            <thead>
              <tr>
                <th class="action" style="width: 68px;">
                  <span class="m--font-boldest">Tác vụ</span>
                </th>
                <!-- <th v-for="attribute in attributeDealCustomerFull" :class="attribute.attribute_code">
                                {{ attribute.attribute_name }}
                </th>-->
                <th style="width: 160px;">Mã giao dịch</th>
                <th>Ngày đặt hàng</th>
                <th>Trạng thái giao dịch</th>
                <th>Tên khách hàng mua</th>
                <th>Tổng giá trị giao dịch</th>
                <th>Số tiền đã thanh toán</th>
                <th>Số tiền còn phải thanh toán</th>
                <th>Trạng thái thanh toán</th>
              </tr>
            </thead>
            <!--  <tbody>
                            <tr>
                                <td colspan="6">
                                    <div class="pull-right">
                                        Tổng tiền: {{total_price | formatNumberPrice}}
                                    </div>
                                </td>
                            </tr>
            </tbody>-->
            <tbody v-for="(deal, index) in customerDetailListDeal" :key="index">
              <tr>
                <td class="text-center action" style="width: 68px;">
                  <button
                    class="btn m-btn m-btn--icon m-btn--icon-only m-btn--pill nt-button-hover-primary"
                    aria-expanded="false"
                    aria-haspopup="true"
                    data-toggle="dropdown"
                  >
                    <i class="la la-ellipsis-h"></i>
                  </button>
                  <div class="dropdown-menu">
                    <a
                      class="dropdown-item"
                      :href="getRouteLink('EditDetailDeal', {deal_id: deal.id})"
                    >
                      <i class="la la-edit"></i>Chỉnh sửa
                    </a>
                    <!--<router-link class="dropdown-item" target="_blank"-->
                    <!--:to="{name : 'EditDetailDeal' , params : {team_id : currentTeam.team_id, deal_id : deal.id} }">-->
                    <!--<i class="la la-edit"></i>Chỉnh sửa-->
                    <!--</router-link>-->
                  </div>
                </td>
                <td style="width: 160px;">
                  <a
                    class="deal-group-collapse collapsed"
                    href="#"
                    data-toggle="collapse"
                    :data-target="'#deal_group_' + deal.id"
                  >
                    <i class="la la-angle-down"></i>
                  </a>

                  <a
                    v-if="accessible( userCheckAddOn, 'deal', PERMISSION_SHOW_DEAL, userCurrentPermissions)"
                    class="m-link m-link--primary nt-link"
                    :href="getRouteLink('dealDetail', {deal_id: deal.id})"
                  >{{ helpers.getAttributeByAttrCodeAndVariableName(deal, "order_code", "value") }}</a>

                  <!--<router-link v-if="accessible( userCheckAddOn, 'deal', PERMISSION_SHOW_DEAL, userCurrentPermissions)" class="m-link m-link&#45;&#45;primary nt-link" target="_blank"-->
                  <!--:to="{name : 'dealDetail', params : {team_id : currentTeam.team_id, deal_id : deal.id} }">-->
                  <!--{{ helpers.getAttributeByAttrCodeAndVariableName(deal, "order_code", "value") }}-->
                  <!--<i class="icon-external-link-01"></i>-->
                  <!--</router-link>-->
                  <a
                    v-else
                    class="m-link m-link--primary nt-link"
                    href="javascript:;"
                    data-toggle="m-tooltip"
                    :data-original-title="titleNotPermisson"
                    data-html="true"
                  >{{ helpers.getAttributeByAttrCodeAndVariableName(deal, "order_code", "value") }}</a>
                </td>
                <td>{{ helpers.getAttributeByAttrCodeAndVariableName(deal, "order_date", "value") | formatDateTime }}</td>
                <td>
                  <template
                    v-if="helpers.getAttributeByAttributeCode(attributeDealCustomerFull, 'transaction_status')"
                  >
                    <span
                      :class="renderElementClass(helpers.getAttributeOptions(helpers.getAttributeByAttributeCode(attributeDealCustomerFull, 'transaction_status'), helpers.getAttributeByAttrCodeAndVariableName(deal, 'transaction_status', 'value'),'option_value'))"
                    >{{ helpers.getAttributeOptions(helpers.getAttributeByAttributeCode(attributeDealCustomerFull, 'transaction_status'), helpers.getAttributeByAttrCodeAndVariableName(deal, 'transaction_status', 'value'),'option_value') }}</span>
                  </template>
                </td>
                <td>
                  <template
                    v-if="deal.customer_id == customerId"
                  >{{ helpers.getAttributeByAttrCodeAndVariableName(deal, "customer_name", "value") }}</template>
                  <template v-else>
                    <a
                      class="m-link m-link--primary nt-link"
                      :href="getRouteLink('customerDetails', {customer_id: deal.customer_id})"
                    >{{ helpers.getAttributeByAttrCodeAndVariableName(deal, "customer_name", "value") }}</a>

                    <!--<router-link class="m-link m-link&#45;&#45;primary nt-link" target="_blank"-->
                    <!--:to="{name : 'customerDetails', params : {team_id : currentTeam.team_id, customer_id : deal.customer_id} }">-->
                    <!--{{ helpers.getAttributeByAttrCodeAndVariableName(deal, "customer_name", "value") }}-->
                    <!--<i class="icon icon-external-link-01"></i>-->
                    <!--</router-link>-->
                  </template>
                </td>
                <td>
                  <div
                    class="pull-right"
                  >{{ parseInt(helpers.getAttributeByAttrCodeAndVariableName(deal, "total_transaction_amount", "value")) | formatNumberPrice}}</div>
                </td>
                <td>
                  <div class="pull-right">
                    <template
                      v-if="helpers.getAttributeByAttrCodeAndVariableName(deal, 'total_paid_amount', 'value')"
                    >{{ helpers.formatPrice(helpers.getAttributeByAttrCodeAndVariableName(deal, "total_paid_amount", "value")) }}</template>
                    <template v-else>0</template>
                  </div>
                </td>
                <td>
                  <div class="pull-right">
                    <template
                      v-if="helpers.getAttributeByAttrCodeAndVariableName(deal, 'total_transaction_amount', 'value') - helpers.getAttributeByAttrCodeAndVariableName(deal, 'total_paid_amount', 'value')"
                    >{{ helpers.formatPrice(helpers.getAttributeByAttrCodeAndVariableName(deal, 'total_transaction_amount', 'value') - helpers.getAttributeByAttrCodeAndVariableName(deal, 'total_paid_amount', 'value')) }}</template>
                    <template v-else>0</template>
                  </div>
                </td>
                <td>
                  <template
                    v-if="helpers.getAttributeByAttrCodeAndVariableName(deal, 'total_paid_amount', 'value') && parseInt(helpers.getAttributeByAttrCodeAndVariableName(deal, 'total_paid_amount', 'value')) > 0 && helpers.getAttributeByAttrCodeAndVariableName(deal, 'total_transaction_amount', 'value') != helpers.getAttributeByAttrCodeAndVariableName(deal, 'total_paid_amount', 'value') && parseInt(helpers.getAttributeByAttrCodeAndVariableName(deal, 'total_transaction_amount', 'value')) != parseInt(helpers.getAttributeByAttrCodeAndVariableName(deal, 'total_paid_amount', 'value'))"
                  >
                    <span class="nt-color-warning">Thanh toán một phần</span>
                  </template>
                  <template v-else>
                    <template
                      v-if="!helpers.getAttributeByAttrCodeAndVariableName(deal, 'total_transaction_amount', 'value') || helpers.getAttributeByAttrCodeAndVariableName(deal, 'total_transaction_amount', 'value') && parseInt(helpers.getAttributeByAttrCodeAndVariableName(deal, 'total_transaction_amount', 'value')) == 0 || helpers.getAttributeByAttrCodeAndVariableName(deal, 'total_transaction_amount', 'value') == helpers.getAttributeByAttrCodeAndVariableName(deal, 'total_paid_amount', 'value') || parseInt(helpers.getAttributeByAttrCodeAndVariableName(deal, 'total_transaction_amount', 'value')) == parseInt(helpers.getAttributeByAttrCodeAndVariableName(deal, 'total_paid_amount', 'value'))"
                    >
                      <span style="color:#69BE31;">Đã thanh toán hết</span>
                    </template>
                    <template
                      v-else-if="helpers.getAttributeByAttributeCode(attributeDealCustomerFull, 'order_payment_status')"
                    >
                      <span
                        :style="{'color' : getColorByOption(deal)}"
                      >{{ helpers.getAttributeOptions(helpers.getAttributeByAttributeCode(attributeDealCustomerFull, 'order_payment_status'), helpers.getAttributeByAttrCodeAndVariableName(deal, 'order_payment_status', 'value'),'option_value') }}</span>
                    </template>
                  </template>
                </td>
              </tr>
              <tr :id="'deal_group_' + deal.id" class="collapse">
                <td colspan="9">
                  <div style="max-width: 86%; margin: 10px auto;">
                    <h5
                      style="margin-bottom: 10px; font-size: 16px;"
                    >Chi tiết giao dịch: {{ helpers.getAttributeByAttrCodeAndVariableName(deal, "order_code", "value") }}</h5>
                    <get-all-product-by-deal-id :deal_id="deal.id" :customer_id="customerId"></get-all-product-by-deal-id>
                  </div>
                </td>
              </tr>
            </tbody>
            <tbody v-if="customerDetailListDeal.length <= 0">
              <tr>
                <td
                  colspan="100"
                  class="text-center"
                  style="padding: 20px 0;"
                >Chưa có giao dịch nào.</td>
              </tr>
            </tbody>
          </table>
        </div>
        <div
          v-if="customerDetailListDeal && customerDetailListDeal.length > 0"
          class="dataTables_paginate paging_simple_numbers m--margin-top-20 d-flex justify-content-end"
        >
          <pagination
            :loader="loadDataListDealCustomer"
            :pagination="listDealPagination"
            @paginate="getPaginationListDealCustomer"
          ></pagination>
        </div>
        <!--   <div v-if="customerDetailListDeal.length <= 0" class="s--not-found">
                    <span>Chưa có giao dịch nào.</span>
        </div>-->
        <div
          v-if="loadDataListDealCustomer"
          style="position: absolute;left: 0px;top: 0px;width: 100%;height: 100%;background: #ffffff8a;z-index: 12;"
        >
          <div
            class="m-loader m-loader--brand m-loader--lg"
            style="width: 30px; height: 30px; display: inline-block; position:absolute; left:50%; top:50%; transform: translate(-50%, -50%);"
          ></div>
        </div>
      </div>
    </div>
  </div>
</template>
